%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ccnet
Version:	6.0.4
Release:	%mkrel 1
Summary:	Framework for writing networked applications in C
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/ccnet
Source0:	https://github.com/haiwen/ccnet/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(python2)
BuildRequires:	vala >= 0.26
# server requirements
BuildRequires:	pkgconfig(zdb)

Requires:	pythonegg(2)(ccnet) = %{version}-%{release}

%description
Ccnet is a framework for writing networked applications in C.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Ccnet is a framework for writing networked applications in C.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	pythonegg(2)(ccnet) = %{version}-%{release}

%description -n	python-%{name}
Ccnet is a framework for writing networked applications in C.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q

sed -i -e /\(DESTDIR\)/d libccnet.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--disable-compile-demo
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc HACKING README.markdown
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-init

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc HACKING README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python-%{name}
%doc HACKING README.markdown
%{python2_sitearch}/%{name}/


%changelog
* Wed Apr 26 2017 akien <akien> 6.0.4-1.mga6
+ Revision: 1097533
- Server code removed from 6.0.x
- Fix name of license file
- Version 6.0.4

* Sun Feb 12 2017 mrambo3501 <mrambo3501> 6.0.0-2.mga6
+ Revision: 1085892
- rebuild for new libevent

* Mon Oct 31 2016 daviddavid <daviddavid> 6.0.0-1.mga6
+ Revision: 1064293
- new version: 6.0.0

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038171
- new version: 5.1.3

* Thu May 12 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1014278
- add the server part of ccnet

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1009881
- initial package ccnet

